{
  "name": "browser-strutture-musa",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "prebuild:dev": "npm ci",
    "build:dev": "ng build -c dev",
    "postbuild:dev": "cp -r -d ./dist/browser/. /var/www/html/webApp",
    "prebuild:dev:musa": "npm ci",
    "build:dev:musa": "ng build -c musa-dev",
    "postbuild:dev:musa": "cp -r -d ./dist/browser/. /var/www/html/webApp",
    "prebuild:prod": "npm ci",
    "build:prod": "ng build -c production",
    "postbuild:prod": "cp -r -d ./dist/browser/. /var/www/html/webApp",
    "prebuild:prod:musa": "npm ci",
    "build:prod:musa": "ng build -c musa-prod",
    "postbuild:prod:musa": "cp -r -d ./dist/browser/. /var/www/html/webApp",
    "tool:openapig": "ng-openapi-gen -c openapi-gen.json",
    "posttool:openapig": "tsx scripts/fixup-models.ts; prettier . --write;",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "prepare": "husky install"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^19.1.0",
    "@angular/common": "^19.1.0",
    "@angular/compiler": "^19.1.0",
    "@angular/core": "^19.1.0",
    "@angular/forms": "^19.1.0",
    "@angular/google-maps": "^19.2.19",
    "@angular/platform-browser": "^19.1.0",
    "@angular/platform-browser-dynamic": "^19.1.0",
    "@angular/router": "^19.1.0",
    "@fortawesome/angular-fontawesome": "^1.0.0",
    "@fortawesome/free-brands-svg-icons": "^6.7.2",
    "@fortawesome/free-regular-svg-icons": "^6.7.2",
    "@fortawesome/free-solid-svg-icons": "^6.7.2",
    "@googlemaps/markerclusterer": "^2.6.2",
    "@ngneat/until-destroy": "^10.0.0",
    "@primeng/themes": "^19.0.6",
    "@rx-angular/cdk": "^19.1.0",
    "@rx-angular/state": "^19.0.3",
    "@rx-angular/template": "^19.2.1",
    "@tailwindcss/postcss": "^4.0.6",
    "dayjs": "^1.11.13",
    "file-saver": "^2.0.5",
    "iban": "^0.0.14",
    "inputmask": "^5.0.9",
    "lodash": "^4.17.21",
    "ng-openapi-gen": "^0.52.0",
    "postcss": "^8.5.2",
    "primeflex": "^3.3.1",
    "primeicons": "^7.0.0",
    "primeng": "^19.1.4",
    "prismjs": "^1.29.0",
    "rxjs": "~7.8.0",
    "tailwindcss": "^4.0.6",
    "tailwindcss-primeui": "^0.4.0",
    "tslib": "^2.3.0",
    "tsx": "^4.19.3",
    "type-fest": "^5.0.1",
    "xlsx": "^0.18.5",
    "zone.js": "~0.15.0"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^19.1.6",
    "@angular/cli": "^19.1.6",
    "@angular/compiler-cli": "^19.1.0",
    "@commitlint/cli": "^19.7.1",
    "@commitlint/config-conventional": "^19.7.1",
    "@eslint/js": "^9.20.0",
    "@types/file-saver": "^2.0.7",
    "@types/google.maps": "^3.58.1",
    "@types/googlemaps": "^3.43.3",
    "@types/iban": "^0.0.35",
    "@types/inputmask": "^5.0.7",
    "@types/jasmine": "~5.1.0",
    "@types/jest": "^29.5.14",
    "@types/lodash": "^4.17.15",
    "@types/node": "^22.13.1",
    "autoprefixer": "^10.4.20",
    "eslint": "^9.20.1",
    "eslint-config-prettier": "^10.0.1",
    "eslint-plugin-prettier": "^5.2.3",
    "husky": "^9.1.7",
    "jasmine-core": "~5.5.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "lint-staged": "^16.0.0",
    "prettier": "3.5.1",
    "typescript": "~5.7.2",
    "typescript-eslint": "^8.24.1"
  },
  "lint-staged": {
    "*.{js,jsx,ts,tsx,json,css,scss,md}": [
      "prettier . --write",
      "eslint --fix"
    ]
  }
}
